Bug Hunting Session
Bug 99353 - XML Filter Settings: Checkbox setting "The filter needs XSLT 2.0 processor" is not saved
Summary: XML Filter Settings: Checkbox setting "The filter needs XSLT 2.0 processor" i...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.2.2 release
Hardware: All Linux (All)
: medium normal
Assignee: David Tardon
URL:
Whiteboard: target:5.2.0 target:5.1.3
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-16 21:50 UTC by Hans
Modified: 2016-10-25 19:03 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hans 2016-04-16 21:50:02 UTC
User-Agent:       Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:45.0) Gecko/20100101 Firefox/45.0
Build Identifier: LibreOffice 5.1.2.2

I installed a XSLT Filter which needs XSLT 2.0 but the filter produces no output because LibreOffice doesn't save the setting.

Reproducible: Always

Steps to Reproduce:
1. Open XML Filter Setting
2. Edit one filter
3. Check "The filter needs XSLT 2.0 processor"
4. Press OK Button
5. Close XML Filter Settings 
6. and open them again
7. Click edit on the same filter like the first time
Actual Results:  
The checkbox "The filter needs XSLT 2.0 processor" is not checked anymore.

Expected Results:  
The checkbox "The filter needs XSLT 2.0 processor" should stay checked.

[Information automatically included from LibreOffice]
Locale: de
Module: SpreadsheetDocument
OS: Ubuntu 14.04.04
OS is 64bit: yes
LibreOffice installed via ppa.launchpad.net/libreoffice/libreoffice-5-1/ubuntu



Reset User Profile?Yes, but did not fix the problem.
Comment 1 Julien Nabet 2016-04-17 12:39:54 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

I noticed these logs:
warn:legacy.osl:18451:1:unotools/source/config/configpaths.cxx:126: OSL_ASSERT: -1 <= nPos && nPos < nStart && nStart < nEnd && nEnd <= _sInPath.getLength()
warn:legacy.osl:18451:1:unotools/source/config/configpaths.cxx:126: OSL_ASSERT: -1 <= nPos && nPos < nStart && nStart < nEnd && nEnd <= _sInPath.getLength()
warn:legacy.osl:18451:1:unotools/source/config/configpaths.cxx:126: OSL_ASSERT: -1 <= nPos && nPos < nStart && nStart < nEnd && nEnd <= _sInPath.getLength()
warn:legacy.osl:18451:1:unotools/source/config/configpaths.cxx:126: OSL_ASSERT: -1 <= nPos && nPos < nStart && nStart < nEnd && nEnd <= _sInPath.getLength()
Comment 2 Commit Notification 2016-05-03 13:37:01 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=390ddd3bde617388e481b6747aa7bbea17d5ddf1

tdf#99353 take the footgun away from FilterCache

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-05-03 16:02:41 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b5fa0a53f5b23b3c6d53b110b8c68a2ddfdbd62&h=libreoffice-5-1

tdf#99353 take the footgun away from FilterCache

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-05-03 20:54:29 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-5-1-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=00d2bef594998f8c5669f7070cf5a2c779c9b633&h=libreoffice-5-1-3

tdf#99353 take the footgun away from FilterCache

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-05-04 08:09:09 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=312bf21ae6ab3a375d8dd1e6c9fb6bffe480897b

Rewrite fix for tdf#99353 in way that doesn't trigger loplugin:passstuffbyref

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.